Name:           perl-SQL-Abstract
Version:        1.50
Release:        2%{?dist}
Summary:        Generate SQL from Perl data structures
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/SQL-Abstract
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSTROUT/SQL-Abstract-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Test::More), perl(Test::Deep), perl(Test::Warn), perl(Test::Exception)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n SQL-Abstract-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/SQL
%{_mandir}/man3/*.3*


%changelog
* Mon Mar 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.50-2
- add missing BR: perl(Test::Exception)

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.50-1
- update to 1.50

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.24-1
- update to 1.24 (for DBIx::Class 0.8012)

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.22-4
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.22-3
- rebuild for new perl

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.22-2
- license tag fix

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.22-1
- bump to 1.22

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.21-2
- fc6 bump

* Fri Mar 31 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.21-1
- bump to 1.21

* Thu Jan  5 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.20-1
- bump to 1.20

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.19-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.19-1
- Initial package for Fedora Extras
